using System;

internal sealed class Delegate242 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate242 delegate242_1)
	{
		return delegate242_1(object_0);
	}

	public extern Delegate242(object object_0, IntPtr intptr_0);

	static Delegate242()
	{
		Class10.smethod_13(typeof(Delegate242).TypeHandle);
	}

	internal static Delegate242 delegate242_0;
}
